%p
  = link_to image_tag('cd_go.png', :border => 0) + ' view this song', song_path(@song), :class => 'no_underline'
  = link_to image_tag('cd_delete.png', :border => 0) + ' delete this song', song_path(@song), :class => 'deletable no_underline'

%h1
  %span{in_place_options(:song, :title)}= @song.title
%h2
  %span{in_place_options(:song, :artist)}= @song.artist.empty? ? 'No Artist' : @song.artist

- form_for :song, @song, :url => song_path(@song), :html => {:method => :put} do |f|
  ~ f.text_area :lyrics, :rows => 20, :cols => 50
  %br
  
  = submit_tag 'Save'